Submitted By: Fernando de Oliveira <famobr at yahoo dot com dot br>
Date: 2013-10-18
Initial Package Version: 1.10.2
Upstream Status: Committed
Origin: opensuse
URL: https://build.opensuse.org/package/view_file/openSUSE:Factory/wireshark/wireshark-1.10.x-fix-packet-gluster-duplicate_enums.patch?rev=858bd711aee98c4562c8c91e7dc90a64
Description: Fixes build with glib-2.38.X

Index: wireshark-1.10.2/epan/dissectors/packet-gluster.h
===================================================================
--- wireshark-1.10.2.orig/epan/dissectors/packet-gluster.h	2013-04-22 19:05:17.000000000 +0100
+++ wireshark-1.10.2/epan/dissectors/packet-gluster.h	2013-09-30 19:38:08.000000000 +0100
@@ -356,15 +356,15 @@ enum gf_fop_procnum {
 
 /* dir-entry types from libglusterfs/src/compat.h */
 enum gluster_entry_types {
-	DT_UNKNOWN = 0,
-	DT_FIFO = 1,
-	DT_CHR = 2,
-	DT_DIR = 4,
-	DT_BLK = 6,
-	DT_REG = 8,
-	DT_LNK = 10,
-	DT_SOCK = 12,
-	DT_WHT = 14
+	GLUSTER_DT_UNKNOWN = 0,
+	GLUSTER_DT_FIFO = 1,
+	GLUSTER_DT_CHR = 2,
+	GLUSTER_DT_DIR = 4,
+	GLUSTER_DT_BLK = 6,
+	GLUSTER_DT_REG = 8,
+	GLUSTER_DT_LNK = 10,
+	GLUSTER_DT_SOCK = 12,
+	GLUSTER_DT_WHT = 14
 };
 
 
Index: wireshark-1.10.2/epan/dissectors/packet-glusterfs.c
===================================================================
--- wireshark-1.10.2.orig/epan/dissectors/packet-glusterfs.c	2013-04-22 19:05:16.000000000 +0100
+++ wireshark-1.10.2/epan/dissectors/packet-glusterfs.c	2013-09-30 19:38:08.000000000 +0100
@@ -2002,15 +2002,15 @@ static value_string_ext glusterfs3_1_fop
 
 /* dir-entry types */
 static const value_string glusterfs_entry_type_names[] = {
-	{ DT_UNKNOWN, "DT_UNKNOWN" },
-	{ DT_FIFO,    "DT_FIFO" },
-	{ DT_CHR,     "DT_CHR" },
-	{ DT_DIR,     "DT_DIR" },
-	{ DT_BLK,     "DT_BLK" },
-	{ DT_REG,     "DT_REG" },
-	{ DT_LNK,     "DT_LNK" },
-	{ DT_SOCK,    "DT_SOCK" },
-	{ DT_WHT,     "DT_WHT" },
+	{ GLUSTER_DT_UNKNOWN, "DT_UNKNOWN" },
+	{ GLUSTER_DT_FIFO,    "DT_FIFO" },
+	{ GLUSTER_DT_CHR,     "DT_CHR" },
+	{ GLUSTER_DT_DIR,     "DT_DIR" },
+	{ GLUSTER_DT_BLK,     "DT_BLK" },
+	{ GLUSTER_DT_REG,     "DT_REG" },
+	{ GLUSTER_DT_LNK,     "DT_LNK" },
+	{ GLUSTER_DT_SOCK,    "DT_SOCK" },
+	{ GLUSTER_DT_WHT,     "DT_WHT" },
 	{ 0, NULL }
 };
 static value_string_ext glusterfs_entry_type_names_ext = VALUE_STRING_EXT_INIT(glusterfs_entry_type_names);
